Package org.apache.synapse.commons.staxon.core.json.stream.impl

# Class JsonScanner2

java.lang.Object
org.apache.synapse.commons.staxon.core.json.stream.impl.JsonScanner2

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class JsonScanner2 extends Object
This class is a scanner generated by JFlex 1.4.3 on 10/23/13 10:52 AM from the specification file `/home/ishan/wso2/src/pub/platform/branches/4.2.0/dependencies/staxon/1.2.0-wso2v1/core/src/main/jflex/Yylex.flex`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `JsonStreamSourceImpl.Scanner.Symbol`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonScanner2(InputStream in)`
  Creates a new scanner.
  `JsonScanner2(Reader in)`
  Creates a new scanner There is also a java.io.InputStream version of this constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `int`
  `getCharOffset()`
  `int`
  `getColumnNumber()`
  `int`
  `getLineNumber()`
  `String`
  `getText()`
  `JsonStreamSourceImpl.Scanner.Symbol`
  `nextSymbol()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JsonScanner2

    public JsonScanner2(Reader in)
    Creates a new scanner There is also a java.io.InputStream version of this constructor.
    Parameters:
      `in` - the java.io.Reader to read input from.

  - ### JsonScanner2

    public JsonScanner2(InputStream in)
    Creates a new scanner. There is also java.io.Reader version of this constructor.
    Parameters:
      `in` - the java.io.Inputstream to read input from.

- ## Method Details

  - ### getText

    public String getText()

  - ### nextSymbol

    public JsonStreamSourceImpl.Scanner.Symbol nextSymbol() throws IOException
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`

  - ### getCharOffset

    public int getCharOffset()

  - ### getLineNumber

    public int getLineNumber()

  - ### getColumnNumber

    public int getColumnNumber()